DGET.FR(1)

NOM
dget - Télécharger des paquets Debian source et binaires

SYNOPSIS

dget [options] URL ...
dget [options] [--all] paquet[=version] ...

DESCRIPTION
dget télécharge des paquets Debian. Avec la première forme, dget télécharge l'adresse passée. Si cette adresse pointe vers un fichier .dsc ou .changes, dget agit comme une sorte de wget adapté aux paquets source : il télécharge aussi tous les fichiers référencés dans le fichier .dsc/.changes. Le paquet source téléchargé est ensuite vérifié avec dscverify puis dépaqueté avec dpkg-source si la vérification a réussi.

Avec la seconde forme, dget télécharge un paquet binaire (c'est-à-dire un fichier .deb) depuis le miroir Debian configuré dans /etc/apt/sources.lists(.d). À la différence d'apt-get install -d, il ne nécessite pas les droits du superutilisateur, écrit dans le répertoire actuel et ne télécharge pas les dépendances. Si un numéro de version est indiqué, cette version du paquet est téléchargée. Avec --all, la liste de tous les binaires pour le paquet source paquet est extraite de la sortie de "apt-cache showsrc paquet".

Dans tous les cas, dget peut récupérer plusieurs paquets ou URL à la fois.

(Remarquez que les paquets .udeb utilisés par l'installateur Debian sont situés dans des fichiers de paquets distincts des paquets .deb. Pour utiliser des .udeb avec dget, vous devrez configurer apt pour utiliser des fichiers de paquets pour composante/debian-installer.)

Avant de télécharger les fichiers référencés dans les fichiers .dsc et .changes, et avant de télécharger des paquets binaires, dget vérifie si les fichiers existent déjà. Si c'est le cas, les sommes de contrôle MD5 sont comparées afin d'éviter de gâcher de la bande passante. dget cherche également si les fichiers sont dans /var/cache/apt/archives ou un des répertoires fournis avec l'option --path ou dans les fichiers de configuration (voir ci-dessous). Enfin, si le téléchargement d'un fichier (.orig).tar.gz ou .diff.gz échoue, dget consulte apt-get source --print-uris. Les programmes de téléchargement utilisés sont curl et wget, recherchés dans cet ordre.

dget a été écrit pour faciliter la récupération de paquets source par le web pour les envois parrainés. Afin de vérifier le paquet avec debdiff, la dernière version binaire est disponible avec dget paquet, la dernière version source avec apt-get source paquet.

OPTIONS

-a, --all
    Interpréter paquet comme un nom de paquet source, et télécharger tous les binaires trouvés dans la sortie de "apt-cache showsrc paquet". Si paquet porte une qualification d'architecture, alors seuls les paquets binaires qui sont "Arch: all", "Arch: any", ou "Arch: $arch" seront téléchargés.

-b, --backup
    Déplacer les fichiers qui devraient être écrasés dans ./backup.

-q, --quiet
    Supprimer la sortie de wget/curl (sauf les erreurs).

-d, --download-only
    Ne pas exécuter dpkg-source -x sur le paquet source téléchargé. Cette option ne peut être utilisée qu'avec la première méthode d'invocation de dget.

-x, --extract
    Exécuter dpkg-source -x sur le paquet source téléchargé. Cette option correspond au comportement par défaut et ne peut être utilisée qu'avec la première méthode d'invocation de dget.

-u, --allow-unauthenticated
    Ne pas chercher à vérifier l'intégrité des paquets source téléchargés en utilisant dscverify.

--build
    Exécuter dpkg-buildpackage -b -uc sur le paquet source téléchargé.

--path RÉP[:RÉP ...]
    En plus de /var/cache/apt/archives, dget cherche les paquets ayant une somme de contrôle MD5 correspondante dans la liste de répertoires donnée en paramètre à --path. Par exemple "--path /srv/pbuilder/result:/home/cb/UploadQueue". Si RÉP est vide (c'est-à-dire que l'option "--path '' est passée), alors tous les répertoires passés précédemment ou dans les fichiers de configuration sont ignorés. Cette option peut être passée plusieurs fois, et dget cherchera dans tous les répertoires listés. Ainsi, l'exemple ci-dessus est équivalent à "--path /srv/pbuilder/result --path /home/cb/UploadQueue".

-k, --insecure
    Autoriser les connexions SSL vers des hôtes dont l'authenticité n'est pas certifiée.

--no-cache
    Éviter les caches HTTP côté serveur en envoyant un en-tête Pragma: no-cache.

-h, --help
    Afficher un message d'aide.

-V, --version
    Afficher les informations sur la version.

VARIABLES DE CONFIGURATION
Les deux fichiers de configuration /etc/devscripts.conf et ~/.devscripts sont chargés dans cet ordre par un interpréteur de commandes pour définir les variables de configuration. Des options de ligne de commande peuvent être utilisées pour écraser les paramètres des fichiers de configuration. Les paramètres des variables d'environnement sont ignorés à cette fin. La variable actuellement reconnue est :

DGET_PATH
    Liste de répertoires dans lesquels chercher les fichiers, en plus de /var/cache/apt/archives qui est utilisé par défaut. Cette variable a le même effet que l'option de ligne de commande --path. Par défaut, elle n'est pas définie.

DGET_UNPACK
    À configurer à "no" pour désactiver l'extraction des paquets source téléchargés. La valeur par défaut est "yes".

DGET_VERIFY
    À configurer à "no" pour désactiver la vérification des signatures des paquets source téléchargés. La valeur par défaut est "yes".

EXEMPLES
Télécharger tous les fichiers .deb pour la version précédente d’un paquet et exécuter debdiff avec eux :

  dget --all monpaquet=1.2-1
  debdiff --from *_1.2-1_*.deb --to *_1.2-2_*.deb

BOGUES ET COMPATIBILITÉ
dget paquet devrait être implémenté dans apt-get install -d.

Avant la version 2.10.17 de devscripts, le comportement par défaut était de ne pas extraire les paquets source téléchargés. Configurez DGET_UNPACK à "no" pour retrouver cet ancien comportement.

AUTEUR
Ce programme est Copyright (C) 2005-2013 Christoph Berg <myon@debian.org>. Les modifications sont Copyright (C) 2005-2006 Julian Gilbey <jdg@debian.org>.

Ce programme est publié sous les termes de la Licence Publique Générale (GPL) version 2 ou toute version ultérieure (à votre discrétion).

VOIR AUSSI
apt-get(1), curl(1), debcheckout(1), debdiff(1), dpkg-source(1), wget(1)

TRADUCTION
Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>, 2006

Thomas Huriaux <thomas.huriaux@gmail.com>, 2006

David Prévot <david@tilapin.org>, 2010-2013

Xavier Guimard <yadd@debian.org>, 2018-2021